	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_STOCKCARD_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_STOCKCARD_ACC_GROUP_ID_CMB = null;
	var REC_STOCKCARD_CAT_PRODUCT_ID_CMB = null;
	var REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB = null;
	var REC_STOCKCARD_CAT_STORAGE_ID_CMB = null;
	var REC_STOCKCARD_QUANTITY_TXT = null;
	var REC_STOCKCARD_REMARKS_TXT = null;
	var REC_STOCKCARD_STATUS_CMB = null;
	var PARAM_REC_STOCKCARD_ID_FILE_FP = null;

	var SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var STOCK_CARD_DGV = null;
	var JSON_STOCKFLOW = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_STOCK_CARD"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_STOCK_CARD");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_STOCK_CARD"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_STOCK_CARD");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_STOCK_CARD") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_STOCK_CARD")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_STOCK_CARD', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_STOCK_CARD', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_STOCKCARD_ID"))
		{
			PROPERTY_REC_STOCKCARD_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_STOCKCARD_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_STOCKCARD_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("STOCK_CARD_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("STOCK_CARD_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("STOCK_CARD_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_STOCKCARD_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = false;
						JSOC_DIALOG.VAR_MODAL("STOCK_CARD_MODAL", true);
					}		
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					}
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSRC_EXCEL.REF_EXPORT('STOCK_CARD_DGV');
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_ID_TXT"))
		{
			REC_STOCKCARD_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_ID_TXT");      
			REC_STOCKCARD_ID_TXT.onchange = 
				function()
				{
					if(REC_STOCKCARD_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_ID_TXT.onkeypress = function(){REC_STOCKCARD_ID_TXT.onchange();};
			REC_STOCKCARD_ID_TXT.onpaste = function(){REC_STOCKCARD_ID_TXT.onchange();};
			REC_STOCKCARD_ID_TXT.oninput = function(){REC_STOCKCARD_ID_TXT.onchange();};
		}
		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_ACC_GROUP_ID_CMB"))
		{
			REC_STOCKCARD_ACC_GROUP_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_ACC_GROUP_ID_CMB");      	
			REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange = 
				function()
				{
					if(REC_STOCKCARD_ACC_GROUP_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						
						// Load Product
						if(JSVC_NUM.VAR_NVALL(JSOC_CMB.VAR_SELECTED_VALUE(REC_STOCKCARD_ACC_GROUP_ID_CMB)) > 0)
						{
							JSOC_CMB.VAR_CLEAR("REC_STOCKCARD_CAT_PRODUCT_ID_CMB");
							JSOC_CMB.VAR_ADD("REC_STOCKCARD_CAT_PRODUCT_ID_CMB", FLAG_BIGINT_NULL.toString(), "-");
							
							// To use custom populate
							var GET_MAP_ARRAY = JSCUS_SQL._CATEGORY._PRODUCT_BRANCH.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_CAT_PRODBRANCH_ACC_GROUP_ID', JSVC_NUM.VAR_NVALL(JSOC_CMB.VAR_SELECTED_VALUE(REC_STOCKCARD_ACC_GROUP_ID_CMB)));
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_CAT_PRODBRANCH_CAT_PRICEMDL_ID', 1);
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_CAT_PRODBRANCH_STATUS', 2);
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ORDER_FIELD', 'CAT_PRODUCT_DESCRIPTION');
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ORDER_TYPE', 'ASC');
								
							JSCUS_SQL._CATEGORY._PRODUCT_BRANCH.CUS_GET 
							(
								GET_MAP_ARRAY,
								function(IS_SUCCESS, RESPONSE_STRING)
								{
										JSOC_CMB.VAR_ADD_FROM_JSON
										(
												'REC_STOCKCARD_CAT_PRODUCT_ID_CMB', 
												JSRC_JSON.REF_CREATE(RESPONSE_STRING), 
												
												'CAT_PRODUCT_ID', 
												'CAT_PRODUCT_DESCRIPTION', 
												
												true,
												false
										);
								},
								false
							);
						}
						
						
						// Load Storage Location
						if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_CAT_STORAGE_ID_CMB"))
						{
							JSOC_CMB.VAR_CLEAR("REC_STOCKCARD_CAT_STORAGE_ID_CMB");
							JSOC_CMB.VAR_ADD("REC_STOCKCARD_CAT_STORAGE_ID_CMB", FLAG_BIGINT_NULL.toString(), "-");	
							
		 					var GET_MAP_ARRAY = JSCUS_SQL._CATEGORY._STORAGE.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
		 					JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_CAT_STORAGE_ACC_GROUP_ID', JSVC_NUM.VAR_NVALL(JSOC_CMB.VAR_SELECTED_VALUE(REC_STOCKCARD_ACC_GROUP_ID_CMB)));
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_CAT_STORAGE_STATUS', 2);
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ORDER_FIELD', 'CAT_STORAGE_DESCRIPTION');
							JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ORDER_TYPE', 'ASC');	
							
							JSCUS_SQL._CATEGORY._STORAGE.CUS_GET_THEN_POPULATE_COMBOBOX
			 				(
								function()
								{
								},
								'REC_STOCKCARD_CAT_STORAGE_ID_CMB',
								true,
								2,
								GET_MAP_ARRAY
							);											
						}
									
					}
				};
			//REC_STOCKCARD_ACC_GROUP_ID_CMB.onkeypress = function(){REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange();};
			//REC_STOCKCARD_ACC_GROUP_ID_CMB.onpaste = function(){REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange();};
			//REC_STOCKCARD_ACC_GROUP_ID_CMB.oninput = function(){REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange();};							
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB"))
		{
			SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB");      	
			SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange = 
				function()
				{
					LOAD_SPECIFIC_STORAGELOCATION();
					LOAD_BRANCH_PRODUCT();
				};
			SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.onkeypress = function(){SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange();};
			SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.onpaste = function(){SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange();};
			SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.oninput = function(){SEARCH_REC_STOCKCARD_ACC_GROUP_ID_CMB.onchange();};							
		}



		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_CAT_PRODUCT_ID_CMB"))
		{
			$('#SEARCH_REC_STOCKCARD_CAT_PRODUCT_ID_CMB').select2();
			
			REC_STOCKCARD_CAT_PRODUCT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_CAT_PRODUCT_ID_CMB");      	
			REC_STOCKCARD_CAT_PRODUCT_ID_CMB.onchange = 
				function()
				{
					if(REC_STOCKCARD_CAT_PRODUCT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_CAT_PRODUCT_ID_CMB.onkeypress = function(){REC_STOCKCARD_CAT_PRODUCT_ID_CMB.onchange();};
			REC_STOCKCARD_CAT_PRODUCT_ID_CMB.onpaste = function(){REC_STOCKCARD_CAT_PRODUCT_ID_CMB.onchange();};
			REC_STOCKCARD_CAT_PRODUCT_ID_CMB.oninput = function(){REC_STOCKCARD_CAT_PRODUCT_ID_CMB.onchange();};							
		}
		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB"))
		{
			REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB");      	
			REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.onchange = 
				function()
				{
					if(REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						
						if
						(
							JSVC_VAR.VAR_ISSET(JSON_STOCKFLOW) &&
							JSRC_JSON.REF_ISSET
							(
								JSON_STOCKFLOW, 'CAT_STOCKFLOW_IS_IN', 
								JSOC_CMB.VAR_SELECTED_INDEX(REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB)
							)
						)
						{
							
							if
							(
								JSVC_NUM.VAR_NVALL
								(
									JSRC_JSON.REF_READ
									(
										JSON_STOCKFLOW, 'CAT_STOCKFLOW_IS_IN', 
										JSOC_CMB.VAR_SELECTED_INDEX(REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB)
									)
								) == 2
							)
							{
								JSOC_ELEMENT.VAR_VALUE
								(
									'STOCKFLOW_DIRECTION_LBL',
									'Stock-In'
								);				
							}
							else
							{
								JSOC_ELEMENT.VAR_VALUE
								(
									'STOCKFLOW_DIRECTION_LBL',
									'Stock-Out'
								);
							}

						}
					}
				};
			REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.onkeypress = function(){REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.onchange();};
			REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.onpaste = function(){REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.onchange();};
			REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.oninput = function(){REC_STOCKCARD_CAT_STOCKFLOW_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_CAT_STORAGE_ID_CMB"))
		{
			REC_STOCKCARD_CAT_STORAGE_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_CAT_STORAGE_ID_CMB");      	
			REC_STOCKCARD_CAT_STORAGE_ID_CMB.onchange = 
				function()
				{
					if(REC_STOCKCARD_CAT_STORAGE_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_CAT_STORAGE_ID_CMB.onkeypress = function(){REC_STOCKCARD_CAT_STORAGE_ID_CMB.onchange();};
			REC_STOCKCARD_CAT_STORAGE_ID_CMB.onpaste = function(){REC_STOCKCARD_CAT_STORAGE_ID_CMB.onchange();};
			REC_STOCKCARD_CAT_STORAGE_ID_CMB.oninput = function(){REC_STOCKCARD_CAT_STORAGE_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_QUANTITY_TXT"))
		{
			REC_STOCKCARD_QUANTITY_TXT = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_QUANTITY_TXT");      
			REC_STOCKCARD_QUANTITY_TXT.onchange = 
				function()
				{
					if(REC_STOCKCARD_QUANTITY_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_QUANTITY_TXT.onkeypress = function(){REC_STOCKCARD_QUANTITY_TXT.onchange();};
			REC_STOCKCARD_QUANTITY_TXT.onpaste = function(){REC_STOCKCARD_QUANTITY_TXT.onchange();};
			REC_STOCKCARD_QUANTITY_TXT.oninput = function(){REC_STOCKCARD_QUANTITY_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_REMARKS_TXT"))
		{
			REC_STOCKCARD_REMARKS_TXT = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_REMARKS_TXT");      
			REC_STOCKCARD_REMARKS_TXT.onchange = 
				function()
				{
					if(REC_STOCKCARD_REMARKS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_REMARKS_TXT.onkeypress = function(){REC_STOCKCARD_REMARKS_TXT.onchange();};
			REC_STOCKCARD_REMARKS_TXT.onpaste = function(){REC_STOCKCARD_REMARKS_TXT.onchange();};
			REC_STOCKCARD_REMARKS_TXT.oninput = function(){REC_STOCKCARD_REMARKS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_ACC_ACCOUNT_ID_CMB"))
		{
			REC_STOCKCARD_ACC_ACCOUNT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_ACC_ACCOUNT_ID_CMB");      	
			REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.onchange = 
				function()
				{
					if(REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.onkeypress = function(){REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.onchange();};
			REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.onpaste = function(){REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.onchange();};
			REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.oninput = function(){REC_STOCKCARD_ACC_ACCOUNT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_DATE_TRANSACTION_DTP"))
		{
			REC_STOCKCARD_DATE_TRANSACTION_DTP = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_DATE_TRANSACTION_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_STOCKCARD_DATE_TRANSACTION_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_STOCKCARD_DATE_TRANSACTION_DTP.onchange = 
				function()
				{
					if(REC_STOCKCARD_DATE_TRANSACTION_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_DATE_TRANSACTION_DTP.onkeypress = function(){REC_STOCKCARD_DATE_TRANSACTION_DTP.onchange();};
			REC_STOCKCARD_DATE_TRANSACTION_DTP.onpaste = function(){REC_STOCKCARD_DATE_TRANSACTION_DTP.onchange();};
			REC_STOCKCARD_DATE_TRANSACTION_DTP.oninput = function(){REC_STOCKCARD_DATE_TRANSACTION_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_STOCKCARD_DATE_TRANSACTION_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_STOCKCARD_DATE_TRANSACTION_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_STOCKCARD_DATE_TRANSACTION_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_STOCKCARD_DATE_TRANSACTION_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_STOCKCARD_DATE_TRANSACTION_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_STOCKCARD_DATE_TRANSACTION_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_STOCKCARD_STATUS_CMB"))
		{
			REC_STOCKCARD_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_STOCKCARD_STATUS_CMB");      	
			REC_STOCKCARD_STATUS_CMB.onchange = 
				function()
				{
					if(REC_STOCKCARD_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_STOCKCARD_STATUS_CMB.onkeypress = function(){REC_STOCKCARD_STATUS_CMB.onchange();};
			REC_STOCKCARD_STATUS_CMB.onpaste = function(){REC_STOCKCARD_STATUS_CMB.onchange();};
			REC_STOCKCARD_STATUS_CMB.oninput = function(){REC_STOCKCARD_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_STOCKCARD_ID_FILE_FP"))
		{
			PARAM_REC_STOCKCARD_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_STOCKCARD_ID_FILE_FP");
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	}